org.codehaus.plexus.component.configurator.converters

## Class ComponentValueSetter

- java.lang.Object
- - org.codehaus.plexus.component.configurator.converters.ComponentValueSetter

    public class ComponentValueSetter
    extends java.lang.Object

Author:
  Kenney Westerhof

### Constructor Summary

Constructors
Constructor and Description
`ComponentValueSetter(java.lang.String fieldName, java.lang.Object object, ConverterLookup lookup)`
`ComponentValueSetter(java.lang.String fieldName, java.lang.Object object, ConverterLookup lookup, ConfigurationListener listener)`

### Method Summary

Methods
`void` `configure(PlexusConfiguration config, java.lang.ClassLoader classLoader, ExpressionEvaluator evaluator)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComponentValueSetter

    public ComponentValueSetter(java.lang.String fieldName,
                        java.lang.Object object,
                        ConverterLookup lookup)
                         throws ComponentConfigurationException

Throws:
  `ComponentConfigurationException`

#### ComponentValueSetter

    public ComponentValueSetter(java.lang.String fieldName,
                        java.lang.Object object,
                        ConverterLookup lookup,
                        ConfigurationListener listener)
                         throws ComponentConfigurationException

Throws:
  `ComponentConfigurationException`

### Method Detail

#### configure

    public void configure(PlexusConfiguration config,
                 java.lang.ClassLoader classLoader,
                 ExpressionEvaluator evaluator)
                   throws ComponentConfigurationException

Throws:
  `ComponentConfigurationException`